using UnityEngine;
using System.Collections;

public class Inputable : MonoBehaviour {

	//Should be virtual interface

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	public virtual void ThumbstickLeft(float vert, float horiz)
	{
		//Debug.Log("LEFT: Vert = " + vert + " , Horiz = " + horiz);
		Debug.Log("Inputtable ThumbstickLeft");
	}

	public virtual void ThumbstickRight(float vert, float horiz)
	{
		//Debug.Log("RIGHT: Vert = " + vert + " , Horiz = " + horiz);
		Debug.Log("Inputable ThumbstickRight");
	}
    
    public virtual void DPadRight()
    {

    }

    public virtual void DPadLeft()
    {

    }

    public virtual void DPadDown()
    {

    }

    public virtual void DPadUp()
    {

    }

    public virtual void RightStickUp()
    {

    }

    public virtual void RightStickDown()
    {

    }

    public virtual void RightStickLeft()
    {

    }

    public virtual void RightStickRight()
    {

    }

    public virtual void LeftStickUp()
    {

    }

    public virtual void LeftStickDown()
    {

    }

    public virtual void LeftStickLeft()
    {

    }

    public virtual void LeftStickRight()
    {

    }

    public virtual void CntStart()
    {

    }

    public virtual void CntSelect()
    {

    }

    public virtual void ButtonUp()
    {
        
    }

    public virtual void ButtonDown()
    {

    }

    public virtual void ButtonDownRelease()
    {

    }

    public virtual void ButtonLeft()
    {
        
    }

    public virtual void ButtonRight()
    {
        
    }

    public virtual void ButtonRightRelease()
    {

    }

    public virtual void TriggerRight()
    {
        Debug.Log("Inputable TriggerRight");
    }

    public virtual void TriggerLeft()
    {
        Debug.Log("Inputable TriggerLeft");
    }

    public virtual void TriggerRightUp()
    {

    }

    public virtual void TriggerLeftUp()
    {

    }

    public virtual void BumperRight()
    {

    }

    public virtual void BumperLeft()
    {

    }

    public virtual void ButtonLeftStick()
    {

    }

    public virtual void ButtonRightStick()
    {

    }

}
